ModPE.setItem(511,"skull_creeper",0,"Grim Reaper");
ModPE.setItem(510,"ruby",0,"Minotaur");
ModPE.setItem(504,"quiver",0,"Frozen Bull");
ModPE.setItem(503,"gold_nugget",0,"Frozen Leather");
ModPE.setItem(502,"gold_horse_armor",0,"Frozen Feather");
Block.defineBlock(177,"Ice",["ice",0]);
Block.setDestroyTime(177,1);
Player.addItemCreativeInv(510,1,0);
Player.addItemCreativeInv(511,1,0);
Item.addCraftRecipe(502,1,0,[503,4,0,288,1,0,503,4,0]);
var grim;
var minotaur;
var frozenBull;

function addEndermanRenderType(renderer) 
{
    var model = renderer.getModel();
     
    var head = model.getPart("head");
    var body = model.getPart("body");
    var rarm = model.getPart("rightArm");
    var larm = model.getPart("leftArm");
    var rleg = model.getPart("rightLeg");
    var lleg = model.getPart("leftLeg");
     
    head.clear();
    head.setTextureOffset(0, 0);
    head.addBox(-4, -24, -4, 8, 8, 8);
 
    body.clear();
    body.setTextureOffset(0, 12);
    body.addBox(-4, -16, -2, 8, 12, 4);
 
    rarm.clear();
    rarm.setTextureOffset(0, 12);
    rarm.addBox(-1, -18, -1, 2, 30, 2);
    rarm.addBox(-1, 8, -16, 2, 2, 30);
    rarm.addBox(-1, 10, -15, 1, 7, 3);
    rarm.addBox(-1, 11, -16, 1, 9, 2);
 
    larm.clear();
    larm.setTextureOffset(0, 12);
    larm.addBox(-1,-18,-1, 2, 30, 2);
 
    rleg.clear();
    rleg.setTextureOffset(0, 12);
    rleg.addBox(-1, -18, 0, 2, 30, 2);
 
    lleg.clear();
    lleg.setTextureOffset(0, 12);
    lleg.addBox(-1, -18, 0, 2, 30, 2);
}

var EndermanRenderType= Renderer.createHumanoidRenderer();
addEndermanRenderType(EndermanRenderType);

function addMinotaurToRenderer(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear();
head.addBox(-1, -28, 0.1, 9, 9, 9);
var body = model.getPart("body").clear();
body.addBox(-4, -20, -2, 15, 25, 11);
var rarm = model.getPart("rightArm").clear();
rarm.addBox(-4.8, -20, 0.1,7,28,7);
rarm.addBox(-3, 2, -11, 2, 2, 30);
rarm.addBox(-3, 2, -12, 1,10,8);
rarm.addBox(-3, 11, -10, 1, 1, 7);
var larm = model.getPart("leftArm").clear();
larm.addBox(4.8,-20,0.1,7,28,7);
var rleg = model.getPart("rightLeg").clear();
rleg.addBox(-2, -10, 0.1, 7, 21, 7);
var lleg = model.getPart("leftLeg").clear();
lleg.addBox(2, -10, 0.1, 7,21,7);
}

var MinotaurRenderer = Renderer.createHumanoidRenderer();
addMinotaurToRenderer(MinotaurRenderer);

function useItem(x,y,z,i,b,id,bd,s){
if(i==511){
grim = Level.spawnMob(x+0.5,y+2,z+0.5,38,"mob/Grim.png");
Entity.setRenderType(grim, EndermanRenderType.renderType);
Entity.setHealth(grim, 500);
}
if(i==510){
minotaur = Level.spawnMob(x+0.5,y+2,z+0.5,35,"mob/minotaur.png");
Entity.setHealth(minotaur, 350);
Entity.setRenderType(minotaur, MinotaurRenderer.renderType);
Entity.setCarriedItem(minotaur, 276);
}
if(i==504){
frozenBull = Level.spawnMob(x+0.5,y+1,z+0.5,39,"mob/ice_bull.png");
Entity.setHealth(frozenBull, 250);
Entity.setRenderType(frozenBull, 6);
}
}

function attackHook(attacker,victim){
if(Entity.getRenderType(victim)==MinotaurRenderer.renderType){
Level.playSoundEnt(victim, "mob.cowhurt",500,1);
}
}

function deathHook(attacker,victim){
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(Entity.getRenderType(victim)==MinotaurRenderer.renderType){
Level.dropItem(x,y,z,0,352,3,0);
Level.dropItem(x,y,z,0,461,1,0);
Level.dropItem(x,y,z,0,363,87,0);
Level.dropItem(x,y,z,0,334,69,0);
Level.dropItem(x,y,z,0,509,1,1350);
}
var x = Entity.getX(frozenBull);
var y = Entity.getY(frozenBull);
var z = Entity.getZ(frozenBull);
if(Entity.getEntityTypeId(frozenBull)==39){
Level.dropItem(x,y,z,0,352,3,0);
Level.dropItem(x,y,z,0,503,38,0);
Level.dropItem(x,y,z,0,363,14,0);
Level.dropItem(x,y,z,0,79,3,0);
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
var random = Math.floor(Math.random()*3);
if(random==1&&Entity.getRenderType(victim)==EndermanRenderType.renderType){
Level.dropItem(x,y,z,0,461,3,0);
Level.dropItem(x,y,z,0,460,5,0);
Level.dropItem(x,y,z,0,49,4,0);
Level.dropItem(x,y,z,0,263,7,0);
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(random==2&&Entity.getRenderType(victim)==EndermanRenderType.renderType){
Level.dropItem(x,y,z,0,461,3,0);
Level.dropItem(x,y,z,0,460,5,0);
Level.dropItem(x,y,z,0,49,4,0);
Level.dropItem(x,y,z,0,263,7,0);
Level.dropItem(x,y,z,0,462,1,3875);
}
}

function modTick(){
var x = Entity.getX(grim);
var y = Entity.getY(grim);
var z = Entity.getZ(grim);
if(Entity.getRenderType(grim)==EndermanRenderType.renderType){
Level.addParticle(ParticleType.mobFlame,x,y,z,0,0,15);
Level.addParticle(ParticleType.redstone,x,y+3,0,0,2);
}
var x = Entity.getX(frozenBull);
var y = Entity.getY(frozenBull);
var z = Entity.getZ(frozenBull);
if(Entity.getEntityTypeId(frozenBull)==39){
setTile(x,y-1,z,177);
setTile(x-1,y-1,z,177);
setTile(x+1,y-1,z,177);
setTile(x,y-1,z+1,177);
setTile(x,y-1,z-1,177);
setTile(x+1,y-1,z-1,177);
setTile(x+1,y-1,z+1,177);
setTile(x-1,y-1,z-1,177);
setTile(x-1,y-1,z+1,177);
var p=((Entity.getPitch(frozenBull)+240)*Math.PI)/180; 
var y=((Entity.getYaw(frozenBull)+240)*Math.PI)/180; 
var xx=Math.sin(p)*Math.cos(y); 
var yy=Math.sin(p)*Math.sin(y); 
var zz=Math.cos(p);
Entity.setVelX(frozenBull, 0.4*xx);
Entity.setVelZ(frozenBull, 0.4*yy);
}
}